# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Object-ID
Version:	0.1.2
Release:	28.%{__distinit}%{__distvers}
Summary:	A unique identifier for any object
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Object-ID
Source0:	https://cpan.metacpan.org/modules/by-module/Object/Object-ID-v%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(base)
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::UUID) >= 1.148
BuildRequires:	perl(Hash::FieldHash) >= 0.10
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Name) >= 0.03
BuildRequires:	perl(version) >= 0.77
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(DirHandle)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(threads)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Data::UUID) >= 1.148

# Don't provide perl(UNIVERSAL)
%{?perl_default_filter}

%description
This is a unique identifier for any object, regardless of its type, structure
or contents. Its features are:

 * Works on ANY object of any type
 * Does not modify the object in any way
 * Does not change with the object's contents
 * Is O(1) to calculate (i.e. doesn't matter how big the object is)
 * The id is unique for the life of the process
 * The id is always a true value

%prep
%setup -q -n Object-ID-v%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Object/
%{perl_vendorlib}/UNIVERSAL/
%{_mandir}/man3/Object::ID.3*
%{_mandir}/man3/Object::ID::ConfigData.3*
%{_mandir}/man3/UNIVERSAL::Object::ID.3*

%changelog
* Fri May  5 2023 Paul Howarth <paul@city-fan.org> - 0.1.2-28
- Use SPDX-format license tag
- Use %%license unconditionally

* Sat Jun  8 2019 Paul Howarth <paul@city-fan.org> - 0.1.2-17
- Perl 5.30 rebuild

* Wed Apr 25 2018 Paul Howarth <paul@city-fan.org> - 0.1.2-13
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop legacy Group: tag

* Wed Sep 14 2016 Paul Howarth <paul@city-fan.org> - 0.1.2-8
- Classify buildreqs by usage

* Mon Sep 15 2014 Paul Howarth <paul@city-fan.org> - 0.1.2-4
- Use %%license where possible

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 0.1.2-1
- Initial RPM version
